Subject: Re: bug#29170: Infinite loop noticed on Emacs in OpenBSD

From: [email-masked] (Grégoire Jadi)
Date: Wed, 22 Nov 2017 15:50:46 +0100

Manuel Giraud <[email-masked]> writes:

> [email-masked] (Grégoire Jadi) writes:
>
>> Manuel Giraud <[email-masked]> writes:
>>
>>> Hi,
>>
>> Hello Manuel,
>>
>> Thanks for the reply and sorry for the delay.
>
> Same :-)
>
>>> Here is a patch against HEAD to avoid the hang in infinite loop. The
>>> 'x-selection-timeout' pause will still be there even with this patch.
>>
>> I've tested your patch on emacs-25-3.1 and it does prevent the infinite
>> loop. However, if the user sends input to emacs while it is waiting, it
>> raises the following backtrace :
>
> Ok. There seems to be ongoing work on wait_reading_process_output:
> https://lists.gnu.org/archive/html/emacs-devel/2017-11/threads.html#00037
>
> So it might be urgent to wait and see what happens on OpenBSD after this
> work is done. What you think?

I agree with you. I saw this discussion too, though I don't understand
most of it. I blindly tried the patches to see if it fixed the problem
but it did not.

Maybe someone will look at this bug once its merged.
So, let's wait :)